Bug 5400 - Breakpoint is still hit even after removing it (if solution inside a symlinked folder)
Summary: Breakpoint is still hit even after removing it (if solution inside a symlinke...
Status: RESOLVED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: Debugger (show other bugs)
Version: Trunk
Hardware: PC Linux
: --- normal
Target Milestone: ---
Assignee: Jeffrey Stedfast
URL:
Depends on:
Blocks:
 
Reported: 2012-05-29 16:54 UTC by Andres G. Aragoneses
Modified: 2013-03-12 19:25 UTC (History)
1 user (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description Andres G. Aragoneses 2012-05-29 16:54:34 UTC
Breakpoint is still hit even after removing it

(Tested with master branch of MonoDevelop as of today)

I made a screencast: http://youtu.be/aCtuFpVwqAw
Comment 1 Jeffrey Stedfast 2013-03-08 19:42:49 UTC
Can you still reproduce this? I haven't been able to.
Comment 2 Andres G. Aragoneses 2013-03-09 05:14:44 UTC
Oh, I still do reproduce it, but just found out it only happens when my solution is inside a folder which is a symlink to other folder, like it happened in bug 5225, so I'm wondering if there are more path comparisons that are taking place without calling realpath() like we did in https://github.com/mono/monodevelop/commit/4346021d5754082b04cf961b79ed18c2f1946c82 ?
Comment 3 Jeffrey Stedfast 2013-03-09 08:14:52 UTC
ah, yes, that could be...
Comment 4 Jeffrey Stedfast 2013-03-12 17:20:54 UTC
okay, this *should* be fixed now
Comment 5 Andres G. Aragoneses 2013-03-12 19:25:23 UTC
Thanks Jeff. To be honest I tried a very similar fix you did locally and didn't work, kept me thinking... then saw your fix, updated my MD and tested, didn't work either.

Then I thought of going back to basics again, I tested an even more basic test than the one in the screencast in comment#0, and it seems there is still some bug around this area which is not related to removing breakpoints but just about hitting them (again similar as bug 5225).

So I just opened a new bug, hopefully by fixing this one now everything will be ok?? The bug is 11092.

Note You need to log in before you can comment on or make changes to this bug.